Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class SFTPEpr

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.FileEpr
              org.jboss.soa.esb.addressing.eprs.FTPEpr
                  org.jboss.soa.esb.addressing.eprs.SFTPEpr

    public class SFTPEpr

extends FTPEpr

A helper class for using SFTP style EPRs.

Author:
  marklittle

Field Summary
`static java.lang.String` | `CERTIFICATE_TAG`
`static java.lang.String` | `PASSPHRASE_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.eprs.FTPEpr
`PASSIVE_TAG, PASSWORD_TAG, USERNAME_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.eprs.FileEpr
`DEFAULT_REPLY_TO_FILE_SUFFIX, ERROR_DEL_TAG, ERROR_DIR_TAG, ERROR_SUFFIX_TAG, INPUT_SUFFIX_TAG, POST_DEL_TAG, POST_DIR_TAG, POST_RENAME_TAG, POST_SUFFIX_TAG, URL_TAG, WORK_SUFFIX_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`SFTPEpr(EPR epr)`
`SFTPEpr(EPR epr, org.w3c.dom.Element header)`
`SFTPEpr(java.lang.String url, java.lang.String cert)`
`SFTPEpr(java.lang.String url, java.lang.String cert, java.lang.String passphrase)`
`SFTPEpr(java.net.URI uri)` Construct the SFTP EPR with the specified URI.
`SFTPEpr(java.net.URI uri, java.net.URI cert)` Construct the SFTP EPR with the specified URI and certificate.
`SFTPEpr(java.net.URI uri, java.net.URI cert, java.lang.String passphrase)` Construct the SFTP EPR with the specified URI, certificate and passphrase.

Method Summary
`EPR` | `copy()` Return a copy of this EPR.
`java.net.URI` | `getCertificateURI()`
`java.lang.String` | `getPassphrase()`
`void` | `setCertificateURI(java.net.URI cert)` Set the Certificate URI for this endpoint.
`void` | `setPassphrase(java.lang.String passphrase)` Set the Certificate passphrase for this endpoint.
`java.lang.String` | `toString()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.eprs.FTPEpr
`getPassive, getPassword, getURL, getUserName, setPassive, setPassword, setURL, setUserName`

Methods inherited from class org.jboss.soa.esb.addressing.eprs.FileEpr
`getErrorDelete, getErrorDirectory, getErrorSuffix, getInputSuffix, getPostDelete, getPostDirectory, getPostRename, getPostSuffix, getWorkSuffix, setErrorDelete, setErrorDirectory, setErrorSuffix, setInputSuffix, setPostDelete, setPostDirectory, setPostRename, setPostSuffix, setWorkSuffix`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getAddr, getURI, setAddr, setURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CERTIFICATE_TAG

    public static final java.lang.String CERTIFICATE_TAG

See Also:
  Constant Field Values

### PASSPHRASE_TAG

    public static final java.lang.String PASSPHRASE_TAG

See Also:
  Constant Field Values

Constructor Detail

### SFTPEpr

    public SFTPEpr(EPR epr)

### SFTPEpr

    public SFTPEpr(EPR epr,
                   org.w3c.dom.Element header)

### SFTPEpr

    public SFTPEpr(java.net.URI uri)

  Construct the SFTP EPR with the specified URI.

  Parameters:
    `uri` -
  Throws:
    `java.net.URISyntaxException`

### SFTPEpr

    public SFTPEpr(java.net.URI uri,
                   java.net.URI cert)
            throws java.net.URISyntaxException

  Construct the SFTP EPR with the specified URI and certificate.

  Parameters:
    `uri` -
    `cert` -
  Throws:
    `java.net.URISyntaxException`

### SFTPEpr

    public SFTPEpr(java.net.URI uri,
                   java.net.URI cert,
                   java.lang.String passphrase)
            throws java.net.URISyntaxException

  Construct the SFTP EPR with the specified URI, certificate and passphrase.

  Parameters:
    `uri` -
    `cert` -
    `passphrase` -
  Throws:
    `java.net.URISyntaxException`

### SFTPEpr

    public SFTPEpr(java.lang.String url,
                   java.lang.String cert)
            throws java.net.URISyntaxException

Throws:
  `java.net.URISyntaxException`

### SFTPEpr

    public SFTPEpr(java.lang.String url,
                   java.lang.String cert,
                   java.lang.String passphrase)
            throws java.net.URISyntaxException

Throws:
  `java.net.URISyntaxException`

Method Detail

### setCertificateURI

    public final void setCertificateURI(java.net.URI cert)
                                 throws java.net.URISyntaxException

  Set the Certificate URI for this endpoint.

  Parameters:
    `cert` - the address.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getCertificateURI

    public final java.net.URI getCertificateURI()
                                         throws java.net.URISyntaxException

  Returns:
    the certificate URI for this EPR.
  Throws:
    `java.net.URISyntaxException`

### setPassphrase

    public final void setPassphrase(java.lang.String passphrase)

  Set the Certificate passphrase for this endpoint.

  Parameters:
    `passphrase` - the passphrase.

### getPassphrase

    public final java.lang.String getPassphrase()

  Returns:
    the certificate passphrase for this EPR.

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `FTPEpr`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FTPEpr`

### type

    public static java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD